Bug 1021778 - Packstack should support VXLAN
Packstack should support VXLAN
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
4.0
Unspecified Unspecified
urgent Severity high
: z2
: 4.0
Assigned To: Martin Magr
Ofer Blaut
: FutureFeature, ZStream
Depends On: 1028041
Blocks: 1049633
  Show dependency treegraph
 
Reported: 2013-10-22 01:28 EDT by Ofer Blaut
Modified: 2016-04-26 13:28 EDT (History)
12 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.23.dev979.el6ost
Doc Type: Enhancement
Doc Text:
Previously, it was not possible to run neutron with Open vSwitch using Virtual Extensible LAN (VXLAN). This update adds support for VXLAN in neutron.
Story Points: ---
Clone Of:
: 1028041 1049633 (view as bug list)
Environment:
Last Closed: 2014-03-04 14:12:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 55578 None None None Never
OpenStack gerrit 67158 None None None Never
OpenStack gerrit 70087 None None None Never

  None (edit)
Description Ofer Blaut 2013-10-22 01:28:53 EDT
Description of problem:

Packstack doesn't support VXLAN option.
Only Flat, VLAN & GRE

This should be fixed for both rhos 3.0.Z and rhos 4.0

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. answer file doesn't support VXLAN option
2. it will be great to update the comment in answer file 
" The type of network to allocate for tenant networks"  to include the supported tenant network types 
3.

Actual results:


Expected results:


Additional info:
Comment 1 Martin Magr 2013-11-07 09:28:13 EST
puppet-neutron currently does not support VXLAN tuneling, it will have to be implemented there first.
Comment 4 Assaf Muller 2013-12-19 06:47:14 EST
Until this bug is resolved:
http://openstack.redhat.com/Using_VXLAN_Tenant_Networks
Comment 5 Alvaro Lopez Ortega 2014-01-14 11:45:04 EST
Still WIP. Unfortunately we won't be able to make it for A1.
Comment 8 Ofer Blaut 2014-02-18 06:21:56 EST
I have tested packstack install openstack with VXLAN using default port 4798

openstack-packstack-2013.2.1-0.24.dev982.el6ost.noarch
Comment 12 errata-xmlrpc 2014-03-04 14:12:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0233.html

Note You need to log in before you can comment on or make changes to this bug.